> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Source Tree



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/sources/tree
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.5.0
servers:
  - url: https://api.usealmanac.com
security:
  - bearerAuth: []
tags:
  - description: Session, onboarding, overview, and email preferences.
    name: Account
  - description: Workspace discovery and details.
    name: Workspaces
  - description: Wiki creation, listing, and details.
    name: Wikis
  - description: Wiki pages, search, topics, and provenance.
    name: Pages
  - description: Source records, trees, search, and original files.
    name: Sources
  - description: Source uploads and upload records.
    name: Uploads
  - description: Ingest and Garden jobs, events, and outcomes.
    name: Jobs
  - description: Workspace-scoped developer keys.
    name: API keys
  - description: Workspace membership and invitations.
    name: Members
  - description: Workspace plans, usage, and billing portal.
    name: Billing
paths:
  /v1/wikis/{wiki_id}/sources/tree:
    get:
      tags:
        - Sources
      summary: Source Tree
      operationId: source_tree_v1_wikis__wiki_id__sources_tree_get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceTree'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  request_id:
                    type: string
                required:
                  - error
                  - message
                  - request_id
                type: object
          description: Invalid request
components:
  schemas:
    SourceTree:
      additionalProperties: false
      properties:
        folders:
          items:
            $ref: '#/components/schemas/SourceFolder'
          title: Folders
          type: array
        sources:
          items:
            $ref: '#/components/schemas/Source'
          title: Sources
          type: array
      required:
        - folders
        - sources
      title: SourceTree
      type: object
    SourceFolder:
      additionalProperties: false
      properties:
        name:
          title: Name
          type: string
        parent:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent
        path:
          title: Path
          type: string
        source_count:
          title: Source Count
          type: integer
      required:
        - path
        - name
        - parent
        - source_count
      title: SourceFolder
      type: object
    Source:
      additionalProperties: false
      properties:
        created_at:
          title: Created At
          type: string
        folder:
          title: Folder
          type: string
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
        name:
          title: Name
          type: string
        original_filename:
          title: Original Filename
          type: string
        path:
          title: Path
          type: string
        sha256:
          title: Sha256
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
        source_id:
          title: Source Id
          type: string
        updated_at:
          title: Updated At
          type: string
        wiki_id:
          title: Wiki Id
          type: string
      required:
        - source_id
        - wiki_id
        - path
        - folder
        - name
        - original_filename
        - mime_type
        - size_bytes
        - sha256
        - created_at
        - updated_at
      title: Source
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````